Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.http
Class HttpSessionCookieFactory

`java.lang.Object
oracle.jbo.http.HttpSessionCookieFactory`

All Implemented Interfaces:
  SessionCookieFactory

Direct Known Subclasses:
  HttpRemoteSessionCookieFactory

public class HttpSessionCookieFactory
extends java.lang.Object
implements SessionCookieFactory

Factory for HttpSessionCookieImpl instances.

Field Summary
`static java.lang.String` | `HTTP_SERVLET_REQUEST` Deprecated. use PROP_HTTP_REQUEST instead.
`static java.lang.String` | `HTTP_SESSION` Deprecated. use PROP_HTTP_SESSION instead.
`static java.lang.String` | `PROP_HTTP_REQUEST`
`static java.lang.String` | `PROP_HTTP_SESSION` Deprecated. use the ADFContext environment instead.

Fields inherited from interface oracle.jbo.common.ampool.SessionCookieFactory
`PROP_IS_WEB_APP, PROP_USER_PRINCIPAL_KEY`

Constructor Summary
`HttpSessionCookieFactory()`

Method Summary
`SessionCookie` | `createSessionCookie(java.lang.String applicationId, java.lang.String sessionId, ApplicationPool pool, java.util.Properties properties)` Creates a HttpSessionCookieImpl instance.
`java.lang.Class` | `getSessionCookieClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_HTTP_REQUEST

    public static final java.lang.String PROP_HTTP_REQUEST

  See Also:
    Constant Field Values

### PROP_HTTP_SESSION

    public static final java.lang.String PROP_HTTP_SESSION

  Deprecated. use the ADFContext environment instead.
  See Also:
    Constant Field Values

### HTTP_SERVLET_REQUEST

    public static final java.lang.String HTTP_SERVLET_REQUEST

  Deprecated. use PROP_HTTP_REQUEST instead.
  See Also:
    Constant Field Values

### HTTP_SESSION

    public static final java.lang.String HTTP_SESSION

  Deprecated. use PROP_HTTP_SESSION instead.
  See Also:
    Constant Field Values

Constructor Detail

### HttpSessionCookieFactory

    public HttpSessionCookieFactory()

Method Detail

### createSessionCookie

    public SessionCookie createSessionCookie(java.lang.String applicationId,
                                             java.lang.String sessionId,
                                             ApplicationPool pool,
                                             java.util.Properties properties)

  Creates a HttpSessionCookieImpl instance.

  The properties object may contain an entry with an instance of an HttpServletRequest. The static , PROP_HTTP_REQUEST, should be used to add the request object to the properties.

  The request object is used to retrieve the cookie value.

  Specified by:
    `createSessionCookie` in interface `SessionCookieFactory`
  Parameters:
    `applicationId` - an identifier which may be used to uniquely identify this cookie within the context of a session
    `sessionId` - an option identifier which may be used to uniquely identify this cookie across sessions. If a sessionId is not specified then the HttpServletRequest above will be used to acquire the sessionId from the servlet request's session.
    `pool` - the applicationPool instance which will be used to acquire ApplicationModule instances for this SessionCookie.
    `properties` - an optional properties object which may be used to pass additional creation properties to the SessionCookieFactory.

### getSessionCookieClass

    public java.lang.Class getSessionCookieClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.